Manifest-Version: 1.0
Bnd-LastModified: 1717490953249
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Wiki Web
Bundle-SymbolicName: com.liferay.wiki.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.90.hotfix-5570-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="7.0",com.liferay.asset.constants;version
 ="2.0",com.liferay.asset.display.page.portlet;version="6.1",com.lifer
 ay.asset.kernel;version="2.1",com.liferay.asset.kernel.exception;vers
 ion="3.0",com.liferay.asset.kernel.model;version="9.2",com.liferay.as
 set.kernel.service;version="8.1",com.liferay.asset.kernel.service.per
 sistence;version="10.1",com.liferay.asset.util;version="4.0",com.life
 ray.change.tracking.spi.display;version="2.0",com.liferay.change.trac
 king.spi.display.context;version="1.2",com.liferay.diff;version="1.0"
 ,com.liferay.document.library.configuration;version="4.0",com.liferay
 .document.library.display.context;version="9.0",com.liferay.document.
 library.kernel.antivirus;version="3.1",com.liferay.document.library.k
 ernel.document.conversion;version="1.0",com.liferay.document.library.
 kernel.exception;version="4.2",com.liferay.document.library.kernel.mo
 del;version="8.2",com.liferay.document.library.kernel.service;version
 ="11.2",com.liferay.document.library.kernel.util;version="8.0",com.li
 feray.dynamic.data.mapping.kernel;version="3.0",com.liferay.expando.k
 ernel.model;version="6.0",com.liferay.exportimport.kernel.lar;version
 ="4.4",com.liferay.frontend.taglib.clay.servlet.taglib;version="7.4",
 com.liferay.frontend.taglib.clay.servlet.taglib.util;version="4.2",co
 m.liferay.item.selector;version="4.10",com.liferay.item.selector.crit
 eria;version="2.3",com.liferay.item.selector.taglib.servlet.taglib.ut
 il;version="1.0",com.liferay.osgi.util.service;version="3.1",com.life
 ray.petra.function;version="1.5",com.liferay.petra.function.transform
 ;version="1.2",com.liferay.petra.io;version="1.3",com.liferay.petra.i
 o.unsync;version="1.0",com.liferay.petra.lang;version="1.3",com.lifer
 ay.petra.reflect;version="1.5",com.liferay.petra.sql.dsl.query;versio
 n="2.0",com.liferay.petra.string;version="1.7",com.liferay.portal.con
 figuration.metatype.annotations;version="1.6",com.liferay.portal.conf
 iguration.metatype.bnd.util;version="3.0",com.liferay.portal.configur
 ation.persistence.upgrade;version="1.0",com.liferay.portal.kernel.ann
 otation;version="7.0",com.liferay.portal.kernel.bean;version="10.1",c
 om.liferay.portal.kernel.change.tracking;version="2.2",com.liferay.po
 rtal.kernel.comment;version="4.0",com.liferay.portal.kernel.dao.orm;v
 ersion="12.0",com.liferay.portal.kernel.dao.search;version="9.0",com.
 liferay.portal.kernel.display.context.helper;version="2.0",com.lifera
 y.portal.kernel.exception;version="13.1",com.liferay.portal.kernel.io
 .unsync;version="8.0",com.liferay.portal.kernel.json;version="12.0",c
 om.liferay.portal.kernel.language;version="11.0",com.liferay.portal.k
 ernel.lock;version="9.0",com.liferay.portal.kernel.log;version="8.0",
 com.liferay.portal.kernel.model;version="29.2",com.liferay.portal.ker
 nel.module.configuration;version="2.1",com.liferay.portal.kernel.noti
 fications;version="11.1",com.liferay.portal.kernel.portlet;version="2
 4.1",com.liferay.portal.kernel.portlet.bridges.mvc;version="6.1",com.
 liferay.portal.kernel.portlet.configuration.icon;version="5.0",com.li
 feray.portal.kernel.portlet.toolbar.contributor;version="1.1",com.lif
 eray.portal.kernel.portlet.url.builder;version="2.0",com.liferay.port
 al.kernel.portletdisplaytemplate;version="6.4",com.liferay.portal.ker
 nel.portletfilerepository;version="5.0",com.liferay.portal.kernel.rep
 ository.capabilities;version="2.0",com.liferay.portal.kernel.reposito
 ry.model;version="11.2",com.liferay.portal.kernel.resource.bundle;ver
 sion="1.0",com.liferay.portal.kernel.sanitizer;version="8.0",com.life
 ray.portal.kernel.search;version="20.1",com.liferay.portal.kernel.sea
 rch.facet;version="9.0",com.liferay.portal.kernel.search.geolocation;
 version="1.0",com.liferay.portal.kernel.security.auth;version="6.0",c
 om.liferay.portal.kernel.security.permission;version="6.5",com.lifera
 y.portal.kernel.security.permission.propagator;version="1.0",com.life
 ray.portal.kernel.security.permission.resource;version="2.2",com.life
 ray.portal.kernel.service;version="23.0",com.liferay.portal.kernel.se
 rvice.permission;version="5.0",com.liferay.portal.kernel.servlet;vers
 ion="11.2",com.liferay.portal.kernel.servlet.taglib;version="9.0",com
 .liferay.portal.kernel.servlet.taglib.ui;version="11.0",com.liferay.p
 ortal.kernel.settings;version="4.0",com.liferay.portal.kernel.setting
 s.definition;version="2.0",com.liferay.portal.kernel.social;version="
 2.0",com.liferay.portal.kernel.struts;version="8.0",com.liferay.porta
 l.kernel.template;version="14.1",com.liferay.portal.kernel.theme;vers
 ion="10.5",com.liferay.portal.kernel.trash;version="14.0",com.liferay
 .portal.kernel.upgrade;version="21.0",com.liferay.portal.kernel.uploa
 d;version="10.0",com.liferay.portal.kernel.util;version="59.1",com.li
 feray.portal.kernel.workflow;version="18.2",com.liferay.portal.langua
 ge,com.liferay.portal.search.hits,com.liferay.portal.struts,com.lifer
 ay.portal.upgrade.registry;version="5.0",com.liferay.portal.upgrade.v
 7_0_0;version="7.0",com.liferay.portlet;version="9.0",com.liferay.rat
 ings.kernel;version="1.2",com.liferay.ratings.kernel.definition;versi
 on="1.1",com.liferay.rss.util;version="1.0",com.liferay.site.navigati
 on.taglib.servlet.taglib.util;version="1.0",com.liferay.social.kernel
 .model;version="6.1",com.liferay.social.kernel.service;version="3.2",
 com.liferay.subscription.model;version="3.1",com.liferay.subscription
 .service;version="1.8",com.liferay.taglib.search;version="2.0",com.li
 feray.taglib.security;version="8.1",com.liferay.trash;version="2.2",c
 om.liferay.trash.exception;version="1.1",com.liferay.trash.kernel.mod
 el;version="6.0",com.liferay.trash.model;version="4.1",com.liferay.tr
 ash.service;version="2.6",com.liferay.trash.util;version="1.0",com.li
 feray.upload;version="1.2",com.liferay.wiki.configuration;version="1.
 2",com.liferay.wiki.configuration.definition;version="2.0",com.lifera
 y.wiki.constants;version="3.1",com.liferay.wiki.engine;version="2.0",
 com.liferay.wiki.escape;version="1.0",com.liferay.wiki.exception;vers
 ion="4.0",com.liferay.wiki.item.selector;version="1.0",com.liferay.wi
 ki.item.selector.criterion;version="1.1",com.liferay.wiki.model;versi
 on="5.1",com.liferay.wiki.service;version="4.1",com.liferay.wiki.soci
 al;version="1.0",com.liferay.wiki.util.comparator;version="1.0",com.l
 iferay.wiki.validator;version="1.0",javax.portlet,javax.portlet.annot
 ations,javax.portlet.filter,javax.servlet,javax.servlet.http,javax.se
 rvlet.jsp;version="2.3",org.w3c.dom
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Wiki
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.wiki.web.internal.application.list,com.li
 feray.wiki.web.internal.asset,com.liferay.wiki.web.internal.asset.mod
 el,com.liferay.wiki.web.internal.auth.publicpath,com.liferay.wiki.web
 .internal.change.tracking.spi.display,com.liferay.wiki.web.internal.c
 onfiguration,com.liferay.wiki.web.internal.configuration.definition,c
 om.liferay.wiki.web.internal.constants,com.liferay.wiki.web.internal.
 custom.attributes,com.liferay.wiki.web.internal.display.context,com.l
 iferay.wiki.web.internal.display.context.helper,com.liferay.wiki.web.
 internal.frontend.taglib.clay.servlet.taglib,com.liferay.wiki.web.int
 ernal.helper,com.liferay.wiki.web.internal.item.selector,com.liferay.
 wiki.web.internal.item.selector.constants,com.liferay.wiki.web.intern
 al.item.selector.view,com.liferay.wiki.web.internal.item.selector.vie
 w.display.context,com.liferay.wiki.web.internal.notifications,com.lif
 eray.wiki.web.internal.portlet,com.liferay.wiki.web.internal.portlet.
 action,com.liferay.wiki.web.internal.portlet.configuration.icon,com.l
 iferay.wiki.web.internal.portlet.display.template,com.liferay.wiki.we
 b.internal.portlet.route,com.liferay.wiki.web.internal.portlet.toolba
 r.item,com.liferay.wiki.web.internal.ratings.definition,com.liferay.w
 iki.web.internal.search,com.liferay.wiki.web.internal.security.auth,c
 om.liferay.wiki.web.internal.security.permission,com.liferay.wiki.web
 .internal.security.permission.resource,com.liferay.wiki.web.internal.
 servlet.taglib,com.liferay.wiki.web.internal.social,com.liferay.wiki.
 web.internal.struts,com.liferay.wiki.web.internal.trash,com.liferay.w
 iki.web.internal.upgrade.registry,com.liferay.wiki.web.internal.upgra
 de.v1_0_0,com.liferay.wiki.web.internal.upload,com.liferay.wiki.web.i
 nternal.util,com.liferay.wiki.web.internal.workflow,com.liferay.wiki.
 web.portlet.display.template.dependencies,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=wiki-web;version
 :Version="7.0.90.hotfix-5570-7413",osgi.service;objectClass:List<Stri
 ng>="com.liferay.application.list.PanelApp";uses:="com.liferay.applic
 ation.list",osgi.service;objectClass:List<String>="com.liferay.asset.
 kernel.model.AssetRendererFactory";uses:="com.liferay.asset.kernel.mo
 del",osgi.service;objectClass:List<String>="com.liferay.change.tracki
 ng.spi.display.CTDisplayRenderer";uses:="com.liferay.change.tracking.
 spi.display",osgi.service;objectClass:List<String>="com.liferay.expan
 do.kernel.model.CustomAttributesDisplay";uses:="com.liferay.expando.k
 ernel.model",osgi.service;objectClass:List<String>="com.liferay.item.
 selector.ItemSelectorReturnTypeResolver";uses:="com.liferay.item.sele
 ctor",osgi.service;objectClass:List<String>="com.liferay.item.selecto
 r.ItemSelectorView";uses:="com.liferay.item.selector",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.notifications.UserN
 otificationDefinition";uses:="com.liferay.portal.kernel.notifications
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.no
 tifications.UserNotificationHandler";uses:="com.liferay.portal.kernel
 .notifications",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.kernel.portlet.ConfigurationAction";uses:="com.liferay.portal.ke
 rnel.portlet",osgi.service;objectClass:List<String>="com.liferay.port
 al.kernel.portlet.EditPortletProvider";uses:="com.liferay.portal.kern
 el.portlet",osgi.service;objectClass:List<String>="com.liferay.portal
 .kernel.portlet.FriendlyURLMapper";uses:="com.liferay.portal.kernel.p
 ortlet",osgi.service;objectClass:List<String>="com.liferay.portal.ker
 nel.portlet.PortletLayoutFinder";uses:="com.liferay.portal.kernel.por
 tlet",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.portlet.ViewPortletProvider";uses:="com.liferay.portal.kernel.portl
 et",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 portlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.kerne
 l.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="com.l
 iferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCResource
 Command";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.s
 ervice;objectClass:List<String>="com.liferay.portal.kernel.portlet.co
 nfiguration.icon.PortletConfigurationIcon";uses:="com.liferay.portal.
 kernel.portlet.configuration.icon",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.kernel.portlet.toolbar.contributor.PortletToo
 lbarContributor";uses:="com.liferay.portal.kernel.portlet.toolbar.con
 tributor",osgi.service;objectClass:List<String>="com.liferay.portal.k
 ernel.security.auth.AlwaysAllowDoAsUser";uses:="com.liferay.portal.ke
 rnel.security.auth",osgi.service;objectClass:List<String>="com.lifera
 y.portal.kernel.security.permission.propagator.PermissionPropagator";
 uses:="com.liferay.portal.kernel.security.permission.propagator",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.servlet.
 taglib.DynamicInclude";uses:="com.liferay.portal.kernel.servlet.tagli
 b",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.s
 ettings.definition.ConfigurationPidMapping";uses:="com.liferay.portal
 .kernel.settings.definition",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.social.SocialActivityManager";uses:="com.lif
 eray.portal.kernel.social",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.struts.StrutsAction";uses:="com.liferay.portal
 .kernel.struts",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.kernel.template.TemplateHandler";uses:="com.liferay.portal.kerne
 l.template",osgi.service;objectClass:List<String>="com.liferay.portal
 .kernel.trash.TrashHandler";uses:="com.liferay.portal.kernel.trash",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.workf
 low.WorkflowHandler";uses:="com.liferay.portal.kernel.workflow",osgi.
 service;objectClass:List<String>="com.liferay.portal.upgrade.registry
 .UpgradeStepRegistrator";uses:="com.liferay.portal.upgrade.registry",
 osgi.service;objectClass:List<String>="com.liferay.ratings.kernel.def
 inition.PortletRatingsDefinition";uses:="com.liferay.ratings.kernel.d
 efinition",osgi.service;objectClass:List<String>="com.liferay.social.
 kernel.model.SocialActivityInterpreter";uses:="com.liferay.social.ker
 nel.model",osgi.service;objectClass:List<String>="com.liferay.wiki.we
 b.internal.helper.WikiAttachmentsHelper";uses:="com.liferay.wiki.web.
 internal.helper",osgi.service;objectClass:List<String>="com.liferay.w
 iki.web.internal.upload.PageAttachmentWikiUploadFileEntryHandler";use
 s:="com.liferay.wiki.web.internal.upload",osgi.service;objectClass:Li
 st<String>="com.liferay.wiki.web.internal.upload.PageAttachmentWikiUp
 loadResponseHandler";uses:="com.liferay.wiki.web.internal.upload",osg
 i.service;objectClass:List<String>="com.liferay.wiki.web.internal.upl
 oad.TempAttachmentWikiUploadFileEntryHandler";uses:="com.liferay.wiki
 .web.internal.upload",osgi.service;objectClass:List<String>="java.lan
 g.Object",osgi.service;objectClass:List<String>="javax.portlet.Portle
 t";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/comment))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ddm))",osgi.
 extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com
 /tld/expando))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/item-selector))",osgi
 .extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.co
 m/tld/portlet))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(
 uri=http://liferay.com/tld/ratings))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/rss))",osgi.extender;
 filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/secu
 rity))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/site-navigation))",osgi.extender;filter:="(&(osgi.e
 xtender=jsp.taglib)(uri=http://liferay.com/tld/template))",osgi.exten
 der;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/
 theme))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http
 ://liferay.com/tld/trash))",osgi.extender;filter:="(&(osgi.extender=j
 sp.taglib)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&
 (osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.se
 rvice;filter:="(objectClass=com.liferay.asset.display.page.portlet.As
 setDisplayPageFriendlyURLProvider)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.asset.util.AssetHelper)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.document.library
 .kernel.service.DLAppService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.document.library.kernel.util.DLValidator)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.ite
 m.selector.ItemSelectorReturnTypeResolverHandler)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.item.selector.ItemSele
 ctorUploadResponseHandler)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.configuration.persistence.upgrade.Conf
 igurationUpgradeStepFactory)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 language.Language)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.model.Portlet)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.model.Release
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.portlet.PortletLayoutFinder)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.portlet.toolbar.
 contributor.PortletToolbarContributor)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.search.BaseSearcher
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.security.permission.resource.ModelResourcePermission)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.security.permission.resource.PortletResourcePermission)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.CompanyLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.settings.SettingsLocatorHelper)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.util.HtmlP
 arser)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.util.Portal)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.social.kernel.service.SocialActivityLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.subscription.service.SubscriptionLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.trash.TrashHelper)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.tra
 sh.service.TrashEntryLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.trash.service.TrashEntryService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.upload.
 UploadHandler)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.upload.UploadResponseHandler)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.wiki.engine.WikiEngineRenderer
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.w
 iki.service.WikiNodeLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.wiki.service.WikiNodeService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.wiki.servic
 e.WikiPageLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.wiki.service.WikiPageResourceLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.wiki.ser
 vice.WikiPageService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.wiki.validator.WikiPageTitleValidator)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.wiki.web.inter
 nal.helper.WikiAttachmentsHelper)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.wiki.web.internal.upload.PageAttachmen
 tWikiUploadFileEntryHandler)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.wiki.web.internal.upload.PageAttachmentWiki
 UploadResponseHandler)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.wiki.web.internal.upload.TempAttachmentWikiUpload
 FileEntryHandler)";effective:=active,osgi.service;filter:="(objectCla
 ss=javax.servlet.ServletContext)";effective:=active,osgi.extender;fil
 ter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0
 .0)))",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contr
 act=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=JavaSer
 vlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;
 filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.wiki.web.internal.application.
 list.WikiPanelApp.xml,OSGI-INF/com.liferay.wiki.web.internal.asset.mo
 del.WikiPageAssetRendererFactory.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.auth.publicpath.AuthPublicPath.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.change.tracking.spi.display.WikiNodeCTDisplayRenderer.xml
 ,OSGI-INF/com.liferay.wiki.web.internal.change.tracking.spi.display.W
 ikiPageCTDisplayRenderer.xml,OSGI-INF/com.liferay.wiki.web.internal.c
 onfiguration.definition.WikiDisplayPortletInstanceConfigurationPidMap
 ping.xml,OSGI-INF/com.liferay.wiki.web.internal.configuration.definit
 ion.WikiPortletInstanceConfigurationPidMapping.xml,OSGI-INF/com.lifer
 ay.wiki.web.internal.custom.attributes.WikiPageCustomAttributesDispla
 y.xml,OSGI-INF/com.liferay.wiki.web.internal.helper.WikiAttachmentsHe
 lper.xml,OSGI-INF/com.liferay.wiki.web.internal.item.selector.WikiPag
 eTitleItemSelectorReturnTypeResolver.xml,OSGI-INF/com.liferay.wiki.we
 b.internal.item.selector.WikiPageURLItemSelectorReturnTypeResolver.xm
 l,OSGI-INF/com.liferay.wiki.web.internal.item.selector.view.WikiAttac
 hmentItemSelectorView.xml,OSGI-INF/com.liferay.wiki.web.internal.item
 .selector.view.WikiPageItemSelectorView.xml,OSGI-INF/com.liferay.wiki
 .web.internal.notifications.WikiAddEntryUserNotificationDefinition.xm
 l,OSGI-INF/com.liferay.wiki.web.internal.notifications.WikiUpdateEntr
 yUserNotificationDefinition.xml,OSGI-INF/com.liferay.wiki.web.interna
 l.notifications.WikiUserNotificationHandler.xml,OSGI-INF/com.liferay.
 wiki.web.internal.portlet.WikiAdminPortlet.xml,OSGI-INF/com.liferay.w
 iki.web.internal.portlet.WikiDisplayPortlet.xml,OSGI-INF/com.liferay.
 wiki.web.internal.portlet.WikiEditPortletProvider.xml,OSGI-INF/com.li
 feray.wiki.web.internal.portlet.WikiPortlet.xml,OSGI-INF/com.liferay.
 wiki.web.internal.portlet.WikiPortletLayoutFinder.xml,OSGI-INF/com.li
 feray.wiki.web.internal.portlet.WikiViewPortletProvider.xml,OSGI-INF/
 com.liferay.wiki.web.internal.portlet.action.AutocompletePageTitleMVC
 ResourceCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.ac
 tion.CompareVersionsMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.we
 b.internal.portlet.action.CompareVersionsMVCResourceCommand.xml,OSGI-
 INF/com.liferay.wiki.web.internal.portlet.action.EditNodeAttachmentMV
 CActionCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.act
 ion.EditNodeMVCActionCommand.xml,OSGI-INF/com.liferay.wiki.web.intern
 al.portlet.action.EditNodeMVCRenderCommand.xml,OSGI-INF/com.liferay.w
 iki.web.internal.portlet.action.EditPageAttachmentMVCActionCommand.xm
 l,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.EditPageAttac
 hmentMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.action.EditPageMVCActionCommand.xml,OSGI-INF/com.liferay.wiki.web
 .internal.portlet.action.EditPageMVCRenderCommand.xml,OSGI-INF/com.li
 feray.wiki.web.internal.portlet.action.ExportPageMVCActionCommand.xml
 ,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.ImportPagesMVC
 ActionCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.acti
 on.ImportPagesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.inte
 rnal.portlet.action.MovePageMVCActionCommand.xml,OSGI-INF/com.liferay
 .wiki.web.internal.portlet.action.MovePageMVCRenderCommand.xml,OSGI-I
 NF/com.liferay.wiki.web.internal.portlet.action.NodeInfoPanelMVCResou
 rceCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.
 PageInfoPanelMVCResourceCommand.xml,OSGI-INF/com.liferay.wiki.web.int
 ernal.portlet.action.SearchMVCRenderCommand.xml,OSGI-INF/com.liferay.
 wiki.web.internal.portlet.action.SelectVersionMVCRenderCommand.xml,OS
 GI-INF/com.liferay.wiki.web.internal.portlet.action.UploadPageAttachm
 entMVCActionCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portle
 t.action.ViewCategorizedPagesMVCRenderCommand.xml,OSGI-INF/com.lifera
 y.wiki.web.internal.portlet.action.ViewDraftPagesMVCRenderCommand.xml
 ,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.ViewMVCRenderC
 ommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.View
 NodeDeletedAttachmentsMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.
 web.internal.portlet.action.ViewOrphanPagesMVCRenderCommand.xml,OSGI-
 INF/com.liferay.wiki.web.internal.portlet.action.ViewPageActivitiesMV
 CRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.act
 ion.ViewPageAttachmentsMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki
 .web.internal.portlet.action.ViewPageDetailsMVCRenderCommand.xml,OSGI
 -INF/com.liferay.wiki.web.internal.portlet.action.ViewPageHistoryMVCR
 enderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.actio
 n.ViewPageIncomingLinksMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki
 .web.internal.portlet.action.ViewPageMVCRenderCommand.xml,OSGI-INF/co
 m.liferay.wiki.web.internal.portlet.action.ViewPageOutgoingLinksMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action
 .ViewPagesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal
 .portlet.action.ViewRecentChangesMVCRenderCommand.xml,OSGI-INF/com.li
 feray.wiki.web.internal.portlet.action.ViewTaggedPagesMVCRenderComman
 d.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.ViewTrash
 PageAttachmentsMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.int
 ernal.portlet.action.WikiAdminConfigurationAction.xml,OSGI-INF/com.li
 feray.wiki.web.internal.portlet.action.WikiAdminViewMVCRenderCommand.
 xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.WikiConfigu
 rationAction.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.actio
 n.WikiDisplayConfigurationAction.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.portlet.action.WikiDisplayViewMVCRenderCommand.xml,OSGI-INF/co
 m.liferay.wiki.web.internal.portlet.action.WikiViewMVCRenderCommand.x
 ml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.icon.
 AddChildPagePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.we
 b.internal.portlet.configuration.icon.CopyPagePortletConfigurationIco
 n.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.ic
 on.DeleteNodePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.portlet.configuration.icon.DeletePagePortletConfiguration
 Icon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration
 .icon.EditNodePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.
 web.internal.portlet.configuration.icon.EditPagePortletConfigurationI
 con.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.
 icon.ImportPagesPortletConfigurationIcon.xml,OSGI-INF/com.liferay.wik
 i.web.internal.portlet.configuration.icon.MovePagePortletConfiguratio
 nIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuratio
 n.icon.NodePermissionsPortletConfigurationIcon.xml,OSGI-INF/com.lifer
 ay.wiki.web.internal.portlet.configuration.icon.NodeSubscriptionPortl
 etConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portle
 t.configuration.icon.PagePermissionsPortletConfigurationIcon.xml,OSGI
 -INF/com.liferay.wiki.web.internal.portlet.configuration.icon.PageSub
 scriptionPortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.i
 nternal.portlet.configuration.icon.PermissionsPortletConfigurationIco
 n.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.ic
 on.PrintPagePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.we
 b.internal.portlet.configuration.icon.ViewNodeDeletedAttachmentsPortl
 etConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portle
 t.display.template.WikiPortletDisplayTemplateHandler.xml,OSGI-INF/com
 .liferay.wiki.web.internal.portlet.route.WikiFriendlyURLMapper.xml,OS
 GI-INF/com.liferay.wiki.web.internal.portlet.toolbar.item.WikiPortlet
 ToolbarContributor.xml,OSGI-INF/com.liferay.wiki.web.internal.ratings
 .definition.WikiPortletRatingsDefinition.xml,OSGI-INF/com.liferay.wik
 i.web.internal.security.auth.EditPageAttachmentAlwaysAllowDoAsUser.xm
 l,OSGI-INF/com.liferay.wiki.web.internal.security.permission.WikiPerm
 issionPropagatorImpl.xml,OSGI-INF/com.liferay.wiki.web.internal.servl
 et.taglib.WikiPortletHeaderJSPDynamicInclude.xml,OSGI-INF/com.liferay
 .wiki.web.internal.social.WikiActivityInterpreter.xml,OSGI-INF/com.li
 feray.wiki.web.internal.social.WikiPageSocialActivityManager.xml,OSGI
 -INF/com.liferay.wiki.web.internal.struts.FindPageStrutsAction.xml,OS
 GI-INF/com.liferay.wiki.web.internal.struts.GetPageAttachmentStrutsAc
 tion.xml,OSGI-INF/com.liferay.wiki.web.internal.struts.RSSStrutsActio
 n.xml,OSGI-INF/com.liferay.wiki.web.internal.trash.WikiNodeTrashHandl
 er.xml,OSGI-INF/com.liferay.wiki.web.internal.trash.WikiPageTrashHand
 ler.xml,OSGI-INF/com.liferay.wiki.web.internal.upgrade.registry.WikiW
 ebUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.wiki.web.internal.u
 pload.PageAttachmentWikiUploadFileEntryHandler.xml,OSGI-INF/com.lifer
 ay.wiki.web.internal.upload.PageAttachmentWikiUploadResponseHandler.x
 ml,OSGI-INF/com.liferay.wiki.web.internal.upload.TempAttachmentWikiUp
 loadFileEntryHandler.xml,OSGI-INF/com.liferay.wiki.web.internal.util.
 WikiWebComponentProvider.xml,OSGI-INF/com.liferay.wiki.web.internal.w
 orkflow.WikiPageWorkflowHandler.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /wiki-web

